Skip to main content
PATCH
/
v1
/
topics
/
{topicId}
Atualizar tópico
curl --request PATCH \
  --url https://api.notifique.dev/v1/topics/{topicId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "defaultOptIn": true
}
'
{
  "success": true,
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "defaultOptIn": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer sk_live_xxxxx

Path Parameters

topicId
string
required

Body

application/json
name
string
Maximum string length: 128
description
string | null
Maximum string length: 2000
defaultOptIn
boolean

Response

Atualizado.

success
boolean
data
object